// creator  : weidu.exe (version 23600)
// argument : BANDCT.DLG
// game     : .
// source   : ./override/BANDCT.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~BANDCT~

IF ~  NumberOfTimesTalkedTo(0)
Global("JoinedBandits","GLOBAL",4)
~ THEN BEGIN 0 // from:
  SAY #1882 /* ~Blast it all Teven, what are you doing bringing prisoners here?! We've not the space hold 'em, nor the men to watch 'em!~ */
  IF ~~ THEN DO ~SetGlobal("TazokSays","GLOBAL",1)
~ EXTERN ~TEVEN~ 13
END

IF ~~ THEN BEGIN 1 // from:
  SAY #1883 /* ~All right then, we'll put them in that cave at back of camp. But I don't want to hear a peep from them until Tazok gets here, understand?! Prisoners were never a part of the deal. Risky liabilities they are.~ */
  IF ~~ THEN EXTERN ~TAZOK~ 33
END

IF ~  NumberOfTimesTalkedTo(0)
Global("JoinedBandits","GLOBAL",1)
~ THEN BEGIN 2 // from:
  SAY #1884 /* ~Teven! Who the hell are these roustabouts?! Are ye daft bringing them here?~ */
  IF ~~ THEN DO ~SetGlobal("TazokSays","GLOBAL",1)
~ EXTERN ~TEVEN~ 14
END

IF ~~ THEN BEGIN 3 // from:
  SAY #1885 /* ~Fine, just keep 'em out o' trouble till Tazok gets here, and he can make sure they're on the up an' up. An ogre up yer face will show yer true colors right quick!~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26856 /* ~Tazok and the Bandits
Someone named Tazok seems to be the commander of the bandits.~ */ EXTERN ~TAZOK~ 17
END

IF ~  NumberOfTimesTalkedTo(0)
Global("JoinedBandits","GLOBAL",0)
~ THEN BEGIN 4 // from:
  SAY #1888 /* ~Intruders! Intruders in the camp! To arms! Off yer arses dammit!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #1889 /* ~You are foolishly outnumbered here! Give yourselves up and mayhaps you will die swiftly... once we're through questioning you!~ */
  IF ~~ THEN EXIT
  IF ~Global("X#VicBandCT","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicBandCT","GLOBAL",1)~ EXTERN ~VICONJ~ 90
END

IF ~~ THEN BEGIN 6 // from:
  SAY #1890 /* ~Well, men, we're to have some sport today! Kill them!~ */
  IF ~~ THEN DO ~Enemy()
Shout(1)
~ EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #1891 /* ~What in the Nine Hells do you think you're doing!~ */
  IF ~~ THEN EXIT
END

IF ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 8 // from:
  SAY #5772 /* ~I'm a captain in the mercenary group known as the Blacktalons. We we're hired to disrupt all the iron shipments along the Coast Way. We've been told that it's been the Zhentarim who've been paying us to do this, but I have my suspicions that it might be someone else.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26857 /* ~Tazok and the Bandits
The low level grunts of the Blacktalon mercenaries believe that they've been hired by the Zhentarim to stir up trouble along the Coast Way.~ */ EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #8929 /* ~You've outstayed your welcome!~ */
  IF ~~ THEN EXIT
END
